<div class="mainBox">
  <h2><a name="ins-require" id="ins-require">Require</a></h2>
  
  Ruby/Asp require <a href="http://www.rubynet.org">libxml</a>, <a href="http://www.rubynet.org">libxslt</a>, <a href="http://modruby.net">mod_ruby</a> and (of course) <a href="http://www.ruby-lang.org/en/">Ruby</a> ;)
</div>

<div class="interBox">[<a href="#idx-top">top</a>]</div>

<div class="mainBox">
  <h2><a name="ins-install" id="ins-install">Install</a></h2>

Install Ruby/Asp like this:

<pre>
  $ tar zxvf ruby-asp_x.y.z.tar.gz
  $ cd ruby-asp
  $ ruby install.rb config 
  $ ruby install.rb setup 
  # ruby install.rb install
</pre>
</div>

<div class="interBox">[<a href="#idx-top">top</a>]</div>

<div class="mainBox">
  <h2><a name="ins-use" id="ins-use">Use Ruby/Asp</a></h2>

Add these lines to httpd.conf or in a .htaccess file

<pre>
  RubySetEnv Global /var/www/global-asa
  RubyRequire apache/aspruby-run
  &lt;Files ~ (\.asp)&gt;
    SetHandler ruby-object
    RubyHandler Apache::AspRun.instance
  &lt;/Files&gt;
</pre>
</div>

<div class="interBox">[<a href="#idx-top">top</a>]</div>

<div class="mainBox">
  <h2><a name="ins-config" id="ins-config">Config</a></h2>

<dl>
<dt><tt><b>Global</b></tt></dt><dd>Global is the nerve center of a Ruby/Asp application, in which the global.asa may reside defining the web application's event handlers.</dd>

<dt><tt><b>MailHost</b></tt></dt><dd>The mail host is the smtp server that the below Mail config directives will use when sending their emails. Default : localhost.</dd>

<dt><tt><b>MailPort</b></tt></dt><dd>SMTP port. Default : 25.</dd>

<dt><tt><b>MailErrorsFrom</b></tt></dt><dd>Default NONE, set this to specify the default mail address placed in the From: mail header for server errors.</dd>

<dt><tt><b>MailErrorsTo</b></tt></dt><dd>No default, if set, ASP server errors, error code 500, that result while compiling or running scripts under Ruby/Asp will automatically be emailed to the email address set for this config.</dd>

<dt><tt><b>ErrorFile</b></tt></dt><dd>URI for error redirection.</dd>

<dt><tt><b>StateDir</b></tt></dt><dd>State files for ASP application go to this directory. Default : /tmp</dd>
</dl>
</div>

<div class="interBox">[<a href="#idx-top">top</a>]</div>
